using System;
using System.Collections.Generic;
using System.Text;

namespace GDALWrapper.OGR
{
	public class OgrPoint : OgrGeometry
	{
		public OgrPoint(OGRwkbGeometryType geometryType)
			: base(geometryType)
		{
		}

		public OgrPoint()
			: base(OGRwkbGeometryType.wkbPoint)
		{
		}

		public OgrPoint(double x, double y)
			: base(OGRwkbGeometryType.wkbPoint)
		{
			this.AddPoint(x, y);
		}

		public void AddPoint(double x, double y)
		{
			OgrInterop.OGR_G_AddPoint_2D(this.geometryHandle, x, y);
		}
	}
}
